# frozen_string_literal: true

require_relative "lib/revbits_pam_cicd/version"

Gem::Specification.new do |spec|
  spec.name          = "revbits_pam_cicd"
  spec.version       = RevbitsPamCicd::VERSION

  spec.summary       = "Programmatic access to securely fetch secrets form RevBits PAM."
  spec.description   = "This gem give you programmatic access to securely fetch secrets form RevBits PAM"
  spec.homepage      = "https://github.com/RevBits/PAM-SDK/tree/main/revbits-secrets-ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/RevBits/PAM-SDK/tree/main/revbits-secrets-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/RevBits/PAM-SDK/blob/main/revbits-secrets-ruby/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.authors       = ["RevBits"]
  spec.email         = ["info@revbits.com"]

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html

  spec.add_dependency 'aes-everywhere', '~> 1.2', '>= 1.2.5'
end